## org.apache.poi.hssf.record
Class SheetPropertiesRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.SheetPropertiesRecord

public class SheetPropertiesRecord
extends Record

Describes a chart sheet properties record. NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/records/definitions.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static byte` `EMPTY_INTERPOLATED`
`static byte` `EMPTY_NOT_PLOTTED`
`static byte` `EMPTY_ZERO`
`static short` `sid`

Constructor Summary
`SheetPropertiesRecord()`
`SheetPropertiesRecord(short id, short size, byte[] data)` Constructs a SheetProperties record and sets its fields appropriately.
`SheetPropertiesRecord(short id, short size, byte[] data, int offset)` Constructs a SheetProperties record and sets its fields appropriately.

Method Summary
`java.lang.Object` `clone()`
`protected void` `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`byte` `getEmpty()` Get the empty field for the SheetProperties record.
`short` `getFlags()` Get the flags field for the SheetProperties record.
`int` `getRecordSize()` Size of record (exluding 4 byte header)
`short` `getSid()` return the non static version of the id for this record.
`boolean` `isAutoPlotArea()` ??
`boolean` `isChartTypeManuallyFormatted()` Has the chart type been manually formatted?
`boolean` `isDefaultPlotDimensions()` Indicates that the default area dimensions should be used.
`boolean` `isDoNotSizeWithWindow()` Do not size the chart when the window changes size
`boolean` `isPlotVisibleOnly()` Only show visible cells on the chart.
`int` `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` `setAutoPlotArea(boolean value)` Sets the auto plot area field value.
`void` `setChartTypeManuallyFormatted(boolean value)` Sets the chart type manually formatted field value.
`void` `setDefaultPlotDimensions(boolean value)` Sets the default plot dimensions field value.
`void` `setDoNotSizeWithWindow(boolean value)` Sets the do not size with window field value.
`void` `setEmpty(byte field_2_empty)` Set the empty field for the SheetProperties record.
`void` `setFlags(short field_1_flags)` Set the flags field for the SheetProperties record.
`void` `setPlotVisibleOnly(boolean value)` Sets the plot visible only field value.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)
`protected void` `validateSid(short id)` Checks the sid matches the expected side for this record

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### EMPTY_NOT_PLOTTED

    public static final byte EMPTY_NOT_PLOTTED

See Also:
  Constant Field Values

### EMPTY_ZERO

    public static final byte EMPTY_ZERO

See Also:
  Constant Field Values

### EMPTY_INTERPOLATED

    public static final byte EMPTY_INTERPOLATED

See Also:
  Constant Field Values

Constructor Detail

### SheetPropertiesRecord

    public SheetPropertiesRecord()

### SheetPropertiesRecord

    public SheetPropertiesRecord(short id,
                                 short size,
                                 byte[] data)

  Constructs a SheetProperties record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x1044 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### SheetPropertiesRecord

    public SheetPropertiesRecord(short id,
                                 short size,
                                 byte[] data,
                                 int offset)

  Constructs a SheetProperties record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x1044 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)
  `offset` - of the record's data

Method Detail

### validateSid

    protected void validateSid(short id)

  Checks the sid matches the expected side for this record

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - the expected sid.

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Size of record (exluding 4 byte header)

  Overrides:
    `getRecordSize` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getFlags

    public short getFlags()

  Get the flags field for the SheetProperties record.

### setFlags

    public void setFlags(short field_1_flags)

  Set the flags field for the SheetProperties record.

### getEmpty

    public byte getEmpty()

  Get the empty field for the SheetProperties record.

  Returns:
    One of EMPTY_NOT_PLOTTED EMPTY_ZERO EMPTY_INTERPOLATED

### setEmpty

    public void setEmpty(byte field_2_empty)

  Set the empty field for the SheetProperties record.

  Parameters:
    `field_2_empty` - One of EMPTY_NOT_PLOTTED EMPTY_ZERO EMPTY_INTERPOLATED

### setChartTypeManuallyFormatted

    public void setChartTypeManuallyFormatted(boolean value)

  Sets the chart type manually formatted field value. Has the chart type been manually formatted?

### isChartTypeManuallyFormatted

    public boolean isChartTypeManuallyFormatted()

  Has the chart type been manually formatted?

  Returns:
    the chart type manually formatted field value.

### setPlotVisibleOnly

    public void setPlotVisibleOnly(boolean value)

  Sets the plot visible only field value. Only show visible cells on the chart.

### isPlotVisibleOnly

    public boolean isPlotVisibleOnly()

  Only show visible cells on the chart.

  Returns:
    the plot visible only field value.

### setDoNotSizeWithWindow

    public void setDoNotSizeWithWindow(boolean value)

  Sets the do not size with window field value. Do not size the chart when the window changes size

### isDoNotSizeWithWindow

    public boolean isDoNotSizeWithWindow()

  Do not size the chart when the window changes size

  Returns:
    the do not size with window field value.

### setDefaultPlotDimensions

    public void setDefaultPlotDimensions(boolean value)

  Sets the default plot dimensions field value. Indicates that the default area dimensions should be used.

### isDefaultPlotDimensions

    public boolean isDefaultPlotDimensions()

  Indicates that the default area dimensions should be used.

  Returns:
    the default plot dimensions field value.

### setAutoPlotArea

    public void setAutoPlotArea(boolean value)

  Sets the auto plot area field value. ??

### isAutoPlotArea

    public boolean isAutoPlotArea()

  ??

  Returns:
    the auto plot area field value.

Copyright © 2003 Apache Software Foundation.